Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122218

Summary: Review Request: nodejs-debuglog - Backport of util.debuglog from node v0.11
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade, pnemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 19:04:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122233    

Description Ralph Bean 2014-07-22 19:04:22 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-debuglog.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-debuglog-1.0.1-1.fc20.src.rpm

Description:
To facilitate using the `util.debuglog()` function that will be available
when node v0.12 is released now, this is a copy extracted from the source.

Comment 1 Parag AN(पराग) 2014-07-23 09:15:07 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-debuglog.noarch: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
nodejs-debuglog.noarch: W: spelling-error Summary(en_US) util -> til, until, u til
nodejs-debuglog.noarch: W: spelling-error %description -l en_US util -> til, until, u til
nodejs-debuglog.noarch: W: only-non-binary-in-usr-lib
nodejs-debuglog.src: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
nodejs-debuglog.src: W: spelling-error Summary(en_US) util -> til, until, u til
nodejs-debuglog.src: W: spelling-error %description -l en_US util -> til, until, u til
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :c85ad6f84a62a44098a3b94ccbba7dc64ed7a35b6bbc63bc99bbb436f62be00e
upstream tarball :c85ad6f84a62a44098a3b94ccbba7dc64ed7a35b6bbc63bc99bbb436f62be00e

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

Suugestions:
1) You may want to remove unnecessary empty lines 4-5.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:00:47 UTC
New Package SCM Request
=======================
Package Name: nodejs-debuglog
Short Description: Backport of util.debuglog from node v0.11
Upstream URL: https://npmjs.org/package/debuglog
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:38:18 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 19:01:59 UTC
nodejs-debuglog-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-debuglog-1.0.1-1.fc20

Comment 5 Fedora Update System 2014-07-23 19:02:09 UTC
nodejs-debuglog-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-debuglog-1.0.1-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:04:18 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:35:50 UTC
nodejs-debuglog-1.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:55:29 UTC
nodejs-debuglog-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Parag Nemade 2015-01-08 15:34:29 UTC
Package Change Request
======================
Package Name: nodejs-debuglog
New Branches: el6
Owners: pnemade

Comment 10 Parag Nemade 2015-01-08 15:41:20 UTC
Forgot to add that POC of this package has approved for above request see https://bugzilla.redhat.com/show_bug.cgi?id=1179942#c4

Comment 11 Gwyn Ciesla 2015-01-08 16:25:15 UTC
Git done (by process-git-requests).